%%
%% This is file `factaMI.cls',
%% generated with the docstrip utility.
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{article}
              [1997/06/16 v1.3v
 Standard LaTeX document class]
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\@titlepagefalse
\if@compatibility\else
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{a5paper}
   {\setlength\paperheight {210mm}%
    \setlength\paperwidth  {148mm}}
\DeclareOption{b5paper}
   {\setlength\paperheight {250mm}%
    \setlength\paperwidth  {176mm}}
\DeclareOption{letterpaper}
   {\setlength\paperheight {11in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{legalpaper}
   {\setlength\paperheight {14in}%
    \setlength\paperwidth  {8.5in}}
\DeclareOption{executivepaper}
   {\setlength\paperheight {10.5in}%
    \setlength\paperwidth  {7.25in}}
\DeclareOption{landscape}
   {\setlength\@tempdima   {\paperheight}%
    \setlength\paperheight {\paperwidth}%
    \setlength\paperwidth  {\@tempdima}}
\fi
\if@compatibility
  \renewcommand\@ptsize{0}
\else
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\fi
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\if@compatibility\else
\DeclareOption{oneside}{\@twosidefalse \@mparswitchfalse}
\fi
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\if@compatibility\else
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\fi
\DeclareOption{titlepage}{\@titlepagetrue}
\if@compatibility\else
\DeclareOption{notitlepage}{\@titlepagefalse}
\fi
\if@compatibility\else
\DeclareOption{onecolumn}{\@twocolumnfalse}
\fi
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\DeclareOption{fleqn}{\input{fleqn.clo}}
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
%
%\newif\if@seceqn % dodato
%\@seceqnfalse                           % Default: equation numbering is not
%\DeclareOption{seceqn}{\@seceqntrue}      % reset at beginning of each section
\ExecuteOptions{letterpaper,10pt,oneside,onecolumn,final}
\ProcessOptions
\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}
%%% MODIFIKACIJA -- izmenjen je izgled headingsa
%%%     umesto \slshape koristi se \normalshape
%%%     umesto \normalsize koristi se \small
%%%     umesto guranja u stranu, headings se centrira
\def\ps@myheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\thepage\hfil{\small\leftmark}\hfil}%
    \def\@oddhead{\hfil{\small\rightmark}\hfil\thepage}%
    \let\@mkboth\@gobbletwo
    \let\sectionmark\@gobble
    \let\subsectionmark\@gobble
    }
%%%  MODIFIKACIJA -- definicija zaglavlja casopisa,
%%%     datuma prijema rada i AMS klasifikacije
\def\factanis#1{\def\@factanis{{\footnotesize #1}}}
\def\Received#1{\def\@received{#1}}
\def\AMSMSC#1{\def\@amsmsc{#1}}
\newcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\large\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
}
\def\@maketitle{%
%%% MODIFIKACIJA -- ispisivanje teksta zaglavlja casopisa
\begin{flushleft}
\begin{tabular}{l}
 {\sc\uppercase {\footnotesize Facta Universitatis (Ni\v s)}} \\
 {{\footnotesize\sc Ser.\ Math.\ Inform.\ }}\@factanis
\end{tabular}
\end{flushleft}
\vskip15mm
%%% MODIFIKACIJA -- izmenjen je nacin pisanja naslova i imena autora
%%%     naslov: umesto \Large koristi se \normalsize\bf
%%%     imena autora: umesto \large koristi se \normalsize\bf
%%%     izbacen je datum
  \begin{center}%
  \let \footnote \thanks
    {\normalsize\bf\@title\par}%
    \vskip 1.5em%
    {\normalsize\bf
      \lineskip .5em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
  \end{center}%
%%% MODIFIKACIJA -- ovde se ubacuju fusnote sa datumom prijema rada
%%%     i AMS klasifikacijom
  {\renewcommand{\thefootnote}{}
  \footnote{Received\ \@received}
  \footnote{2000 {\it Mathematics Subject Classification.\/}\ \@amsmsc}}
  \par
  \vskip 1.5em}
\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand \thepart {\@Roman\c@part}

%%% MODIFIKACIJA -- dodate su tacke iza brojaca
\renewcommand \thesection {\@arabic\c@section.}
\renewcommand\thesubsection   {\thesection\@arabic\c@subsection.}
\renewcommand\thesubsubsection{\thesubsection\@arabic\c@subsubsection.}
\renewcommand\theparagraph    {\thesubsubsection\@arabic\c@paragraph.}
\renewcommand\thesubparagraph {\theparagraph\@arabic\c@subparagraph.}
\newcommand\part{\par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname~\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}
 %%% DODATO  *************************************  
 \@addtoreset{equation}{section}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% MODIFIKACIJA -- nazivi sekcija i podsekcija su centrirani
%%%     i svi su u \normalsize
\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {-3.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\centering\normalfont\normalsize\bfseries}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\centering\normalfont\normalsize\bfseries}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-3.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.5ex \@plus .2ex}%
                                     {\centering\normalfont\normalsize\bfseries}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\centering\normalfont\normalsize\bfseries}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi.}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}

\def\abstract{\leftskip12pt{\noindent\small\bf Abstract.}\small\ }
\def\endabstract{\par\leftskip0pt\normalsize}

\newenvironment{verse}
               {\let\\\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                        \itemindent    \listparindent
                        \rightmargin   \leftmargin
                        \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\if@compatibility
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\z@
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
    }
\else
\newenvironment{titlepage}
    {%
      \if@twocolumn
        \@restonecoltrue\onecolumn
      \else
        \@restonecolfalse\newpage
      \fi
      \thispagestyle{empty}%
      \setcounter{page}\@ne
    }%
    {\if@restonecol\twocolumn \else \newpage \fi
     \if@twoside\else
        \setcounter{page}\@ne
     \fi
    }
\fi
\newcommand\appendix{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \renewcommand\thesection{\@Alph\c@section}}
\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{6\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand \theequation {\@arabic\c@equation} 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcounter{figure}
\renewcommand \thefigure {\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
 %%% DODATO  *************************************  
 \@addtoreset{figure}{section}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
 %%% DODATO  *************************************  
 \@addtoreset{table}{section}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newlength\abovecaptionskip
\newlength\belowcaptionskip
\setlength\abovecaptionskip{10\p@}
\setlength\belowcaptionskip{0\p@}
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{#1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename
      \@mkboth{%
          \MakeUppercase\listtablename}{\MakeUppercase\listtablename}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{\refname
        \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}}%
%%% MODIFIKACIJA -- skinute su zagrade oko brojeva referenci
      \list{\@arabic\c@enumiv.}%
           {\settowidth\labelwidth{#1}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
%%% MODIFIKACIJA -- smanjen je prored izmedju referenci
            \usecounter{enumiv}\itemsep0pt\parsep\smallskipamount\small%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
%%% MODIFIKACIJA -- naslovi referenci siu izmenjeni
\newcommand\refname{\small\bf R\,E\,F\,E\,R\,E\,N\,C\,E\,S }
\newcommand\indexname{Index}
\newcommand\figurename{{\sc Fig.}}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\newcommand\today{}
\edef\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
%%% MODIFIKACIJA -- umesto plain stila uzima se myheadings stil
\pagestyle{myheadings}
%%% MODIFIKACIJA -- visina separatora zaglavlja je smanjena
\setlength\headsep{0.5cm}
%%% MODIFIKACIJA -- promena velicine strane
\setlength\textwidth{5truein}
\setlength\textheight{7.5truein}
\pagenumbering{arabic}
%%%
%%%  NAREDNE DEFINICIJE SU MODIFIKOVANE DEFINICIJE
%%%       IZ SEMIGROUP FORUM LATEX STILA
%%%
\mathchardef\emptyset="001F

\def\qedsymbol{\ifmmode\bgroup\else$\bgroup\aftergroup$\fi
  \vcenter{\hrule\hbox{\vrule height.6em\kern.6em\vrule}\hrule}\egroup}
\def\qed{\ifmmode\else\unskip\nobreak\fi\quad\qedsymbol}

% THE NEXT LINES GIVE DEFINITIONS FOR THE THEOREM ENVIRONMENTS.
% EACH IS VIEWED AS A theorem environment IN THE SENSE OF LaTeX.
% THEIR NAMES ARE: Theorem, Proposition, Lemma, Definition, Remark,
% Corollary, Example, Examples, Conjecture, Problem, Problems, Algorithm, Claim
% ALONG WITH THE *-FORMS OF THESE ENVIRONMENTS.
% IN THE FIRST CASE TYPE \begin{NAME} text \end{NAME} AS USUAL FOR
% ENVIRONMENTS IN LaTeX.
% THE ENVIRONMENT NAME IS NUMBERED WITHIN section. E.G. THE FIRST 'NAME'
% IN SECTION 1 IS NUMBERED 'NAME 1.1.'
% THERE IS AN IMPORTANT CHANGE TO LaTeX's FORMAT:
%  \begin{NAME}\cite{refcode}...\end{NAME} PRODUCES THE CITATION TO
% REFERENCE WITH CODE refcode, BUT NOT WITHIN PARENTHESES.
%
% IN THE SECOND CASE TYPE \begin{NAME*}{NUMBER} text \end{NAME*},
% WHERE THE PARAMETER 'NUMBER' DECLARES HOW 'NAME' IS NUMBERED.
% BUT OMIT A '.' AT THE END OF 'NUMBER'.
% IN THIS CASE 'NUMBER' DOESN'T INCREASE ANY COUNTERS AND YOU CAN NOT USE
% AUTOMATIC LATEX-REFERENCES USING \label{code}.

\def\@thmcounter#1{\noexpand\arabic{#1}}
\def\@thmcountersep{}
\def\@begintheorem#1#2{\trivlist\item[\hskip
\labelsep{\bf #1\ #2.\ }]\it}
\def\@opargbegintheorem#1#2#3{\it \trivlist
      \item[\hskip \labelsep{\bf #1\ #2.\ {\rm #3}}]}
\makeatother
\newtheorem{theorem}{Theorem}[section]
\newtheorem{proposition}{Proposition}[section]
\newtheorem{corollary}{Corollary}[section]
\newtheorem{lemma}{Lemma}[section]
\newtheorem{conjecture}{Conjecture}[section]
\newtheorem{claim}{Claim}[section]
%% USE \begin{remark} FOR REMARKS
      \newtheorem{rem}{\small Remark}[section]
\newenvironment{remark}{\begin{rem}\small\rm}{\end{rem}}%% write
%%  USE \begin{definition} FOR DEFINITIONS
      \newtheorem{define}{Definition}[section] %% write
\newenvironment{definition}{\begin{define}\rm}{\end{define}}
%% USE '\begin{exercise}' FOR EXERCISES
      \newtheorem{exer}{Exercise}[section]
\newenvironment{exercise}{\begin{exer}\small\rm}{\end{exer}} 
%% USE '\begin{example}' FOR EXAMPLE
      \newtheorem{ex}{\small Example}[section]
\newenvironment{example}{\begin{ex}\small\rm}{\end{ex}}
%% USE '\begin{examples}' FOR EXAMPLES
      \newtheorem{exs}{Examples}[section]
\newenvironment{examples}{\begin{exs}\rm}{\end{exs}}
%% USE '\begin{problem}' FOR PROBLEM
      \newtheorem{pr}{Problem}[section]
\newenvironment{problem}{\begin{pr}\rm}{\end{pr}}
%% USE '\begin{problems}' FOR PROBLEMS
      \newtheorem{prs}{Problems}[section]
\newenvironment{problems}{\begin{prs}\rm}{\end{prs}}
%% USE '\begin{algorithm}' FOR ALGORITHM
      \newtheorem{alg}{\small Algorithm}[section]
\newenvironment{algorithm}{\begin{alg}\small\rm}{\end{alg}}
%
\newenvironment{theorem*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Theorem #1.\ }]\em}%
    {\rm\end{trivlist}}
\newenvironment{proposition*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Proposition #1.\ }]\em}%
    {\rm\end{trivlist}}
\newenvironment{corollary*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Corollary #1.\ }]\em}%
    {\rm\end{trivlist}}
\newenvironment{lemma*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Lemma #1.\ }]\em}%
    {\rm\end{trivlist}}
\newenvironment{definition*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Definition #1.\ }]}%
    {\end{trivlist}}
\newenvironment{remark*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Remark #1.\ }]}%
    {\end{trivlist}}
\newenvironment{exercise*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Exercise #1.\ }]}%
    {\end{trivlist}}
\newenvironment{example*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Example #1.\ }]}%
    {\end{trivlist}}
\newenvironment{examples*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Examples #1.\ }]}%
    {\end{trivlist}}
\newenvironment{conjecture*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Conjecture #1.\ }]}%
    {\end{trivlist}}
\newenvironment{problem*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Problem #1.\ }]}%
    {\end{trivlist}}
\newenvironment{problems*}[1]{\begin{trivlist}\item[\hskip%
    \labelsep{\bf Problems #1.\ }]}%
    {\end{trivlist}}

%% THE ENVIRONMENT \begin{proof} ... \end{proof} PRODUCES AN
%% END-OF-PROOF SIGN.

\newenvironment{proof}{\begin{trivlist}\item[\hskip%
\labelsep{\it Proof.}]}%
{\qed\rm\end{trivlist}}

%% Alternately, one can use \Proof. to indicate the start of a proof.  The
%% end should be denoted by \qed or \qeddis, where appropriate

\def\Proof.{\rm \par\ifdim\lastskip<\bigskipamount\removelastskip\fi\smallskip
           \indent{\it Proof.}\enspace}
%%%
\def\CC{{\mathbb C}}
\def\ZZ{{\mathbb Z}}
\def\NN{{\mathbb N}}
\def\RR{{\mathbb R}}
\def\QQ{{\mathbb Q}}


\def\span{\mathop{\rm span}\nolimits}
\def\diag{\mathop{\rm diag}\nolimits}
\def\det{\mathop{\rm det}\nolimits}
\def\sgn{\mathop{\rm sgn}\nolimits}
\def\Si{\mathop{\rm Si}\nolimits}
\def\Log{\mathop{\rm Log}\nolimits}
\def\Int{\mathop{\rm Int}\nolimits}
\def\supp{\mathop{\rm supp}\nolimits}
\def\Co{\mathop{\rm Co}\nolimits}
\def\Pc{\mathop{\rm Pc}\nolimits}
\def\Re{\mathop{\rm Re}\nolimits}
\def\Im{\mathop{\rm Im}\nolimits}

\def\res{\mathop{\mathrm{Res}}\limits}

\def\TIMES{\mathop{\times}\limits}


\def\al{\alpha}
\def\be{\beta}
\def\de{\delta}
\def\ga{\gamma}
\def\la{\lambda}
\def\om{\omega}
\def\vr{\varrho}
\def\eps{\varepsilon}
\def\VGG{\varGamma}
\def\GG{\Gamma}
\def\si{\sigma}

\def\Cale#1{\EuScript #1}
\def\PP{\Cale P}
\def\TT{\Cale T}

\def\relationn#1#2#3#4{#1_{n+1}(#2)=(#2-#3_n)#1_n(#2)-#4_n#1_{n-1}(#2),
               \qquad n=0,1,2,\ldots\,}
\def\relationk#1#2#3#4{#1_{k+1}(#2)=(#2-#3_k)#1_k(#2)-#4_k#1_{k-1}(#2),
               \qquad k=0,1,2,\ldots\,}
\def\recur#1#2#3#4{#1_{k+1}(#2)=(#2-#3_k)#1_k(#2)-#4_k#1_{k-1}(#2),
   \qquad k=0,1,2,\ldots\,}

\def\norm#1{{\Vert{#1}\Vert}}
\def\bnorm#1{{\bigl\Vert{#1}\bigr\Vert}}
\def\Bnorm#1{{\Bigl\Vert{#1}\Bigr\Vert}}


\def\SS{\smallskip}

\newcommand{\DS}{\displaystyle}
\newcommand{\TS}{\textstyle}


\def\half{\textstyle\frac{1}{2}}
\def\threehalf{\textstyle\frac{3}{2}}
\def\quart{\textstyle\frac{1}{4}}
\def\oint{\ointop}


\def\navod#1{$\,{#1}^\circ$}
\def\navodd#1{\,{#1}^\circ}
\def\fun#1{#1(e^{i\theta})}
%\def\dfrac#1#2{{\displaystyle\frac{#1}{#2}}}


\setlength{\parindent}{15pt}
\setlength{\parskip}{\smallskipamount}

\renewcommand{\theequation}{\arabic{section}.\arabic{equation}}
\renewcommand{\thetable}{\arabic{section}.\arabic{table}}
\renewcommand{\thefigure}{\arabic{section}.\arabic{figure}}

\newcommand{\ie}{i.e.}
\newcommand{\eg}{e.g.}

%\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}.}

\endinput
%%
%% End of file `factaMI.cls'.
